Bug 567174 - reposync: HTTPError: HTTP Error 404: Not Found
reposync: HTTPError: HTTP Error 404: Not Found
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
abrt_hash:5892498d
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-21 22:56 EST by Ahmad Zulkarnain
Modified: 2014-01-21 18:13 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-05 09:06:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (1.86 KB, text/plain)
2010-02-21 22:56 EST, Ahmad Zulkarnain
no flags Details

  None (edit)
Description Ahmad Zulkarnain 2010-02-21 22:56:40 EST
abrt 1.0.6 detected a crash.

architecture: i686
cmdline: /usr/bin/python -tt /usr/bin/reposync -nlr rpmfusion-free-updates
component: yum-utils
executable: /usr/bin/reposync
kernel: 2.6.31.12-174.2.22.fc12.i686.PAE
package: yum-utils-1.1.25-1.fc12
release: Fedora release 12 (Constantine)

backtrace
-----
Summary: TB5892498d urllib2.py:510:http_error_default:HTTPError: HTTP Error 404: Not Found

Traceback (most recent call last):
  File "/usr/bin/reposync", line 348, in <module>
    main()
  File "/usr/bin/reposync", line 321, in main
    path = repo.getPackage(pkg)
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 851, in getPackage
    size=package.size,
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 823, in _getFile
    size=size
  File "/usr/lib/python2.6/site-packages/urlgrabber/mirror.py", line 408, in urlgrab
    return self._mirror_try(func, url, kw)
  File "/usr/lib/python2.6/site-packages/urlgrabber/mirror.py", line 394, in _mirror_try
    return func_ref( *(fullurl,), **kwargs )
  File "/usr/lib/yum-plugins/customgrabber.py", line 40, in urlgrab
    fsize = get_filesize(url)
  File "/usr/lib/yum-plugins/customgrabber.py", line 24, in get_filesize
    usock = urllib2.urlopen(url)
  File "/usr/lib/python2.6/urllib2.py", line 124, in urlopen
    return _opener.open(url, data, timeout)
  File "/usr/lib/python2.6/urllib2.py", line 389, in open
    response = meth(req, response)
  File "/usr/lib/python2.6/urllib2.py", line 502, in http_response
    'http', request, response, code, msg, hdrs)
  File "/usr/lib/python2.6/urllib2.py", line 427, in error
    return self._call_chain(*args)
  File "/usr/lib/python2.6/urllib2.py", line 361, in _call_chain
    result = func(*args)
  File "/usr/lib/python2.6/urllib2.py", line 510, in http_error_default
    raise HTTPError(req.get_full_url(), code, msg, hdrs, fp)
HTTPError: HTTP Error 404: Not Found

Local variables in innermost frame:
fp: <addinfourl at 148255916 whose fp = <socket._fileobject object at 0x8be1d14>>
code: 404
hdrs: <httplib.HTTPMessage instance at 0x8d633ec>
self: <urllib2.HTTPDefaultErrorHandler instance at 0x8bdab0c>
req: <urllib2.Request instance at 0x8d632ac>
msg: 'Not Found'
Comment 1 Ahmad Zulkarnain 2010-02-21 22:56:44 EST
Created attachment 395416 [details]
File: backtrace
Comment 2 seth vidal 2010-03-01 14:38:59 EST
what is 'customgrabber'?


Can you run:

ls -la /usr/lib/yum-plugins/

and:

rpm -qf /usr/lib/yum-plugins/customgrabber.py

thanks

Note You need to log in before you can comment on or make changes to this bug.